https://cloud-elements.com/customersThe CEQL search expression, or the where clause, without the WHERE keyword, in a typical SQL query (i.e. field='value'). <p>Supported search terms: customer_id and customer_email. All other search criteria are ignored. NOTE: When searching by customer_id, do not quote the value (ex: customer_id=15693430), as the ID is a number rather than a string. When searching by email, quote the value (ex: customer_email='a@b.c'), as the email parameter is a string
The number of results to fetch in a given page. When this parameter is omitted, a maximum of 200 results are returned
The next page cursor, taken from the response header: `elements-next-page-token`
The fields to return on the response. Can be a single field or a comma-separated list of fields
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://cloud-elements.com/customers' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://cloud-elements.com/customersThe CEQL search expression, or the where clause, without the WHERE keyword, in a typical SQL query (i.e. field='value'). <p>Supported search terms: customer_id and customer_email. All other search criteria are ignored. NOTE: When searching by customer_id, do not quote the value (ex: customer_id=15693430), as the ID is a number rather than a string. When searching by email, quote the value (ex: customer_email='a@b.c'), as the email parameter is a string
The number of results to fetch in a given page. When this parameter is omitted, a maximum of 200 results are returned
The next page cursor, taken from the response header: `elements-next-page-token`
The fields to return on the response. Can be a single field or a comma-separated list of fields
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://cloud-elements.com/customers' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}